''
''
'' libvlc_events -- header translated with help of SWIG FB wrapper
''
'' NOTICE: This file is part of the FreeBASIC Compiler package and can't
''         be included in other distributions without authorization.
''
''
#Ifndef __libvlc_events_bi__
#define __libvlc_events_bi__

#define LIBVLC_EVENTS_H 1

Enum libvlc_event_e
	libvlc_MediaMetaChanged = 0
	libvlc_MediaSubItemAdded
	libvlc_MediaDurationChanged
	libvlc_MediaParsedChanged
	libvlc_MediaFreed
	libvlc_MediaStateChanged
	libvlc_MediaPlayerMediaChanged = &h100
	libvlc_MediaPlayerNothingSpecial
	libvlc_MediaPlayerOpening
	libvlc_MediaPlayerBuffering
	libvlc_MediaPlayerPlaying
	libvlc_MediaPlayerPaused
	libvlc_MediaPlayerStopped
	libvlc_MediaPlayerForward
	libvlc_MediaPlayerBackward
	libvlc_MediaPlayerEndReached
	libvlc_MediaPlayerEncounteredError
	libvlc_MediaPlayerTimeChanged
	libvlc_MediaPlayerPositionChanged
	libvlc_MediaPlayerSeekableChanged
	libvlc_MediaPlayerPausableChanged
	libvlc_MediaPlayerTitleChanged
	libvlc_MediaPlayerSnapshotTaken
	libvlc_MediaPlayerLengthChanged
	libvlc_MediaListItemAdded = &h200
	libvlc_MediaListWillAddItem
	libvlc_MediaListItemDeleted
	libvlc_MediaListWillDeleteItem
	libvlc_MediaListViewItemAdded = &h300
	libvlc_MediaListViewWillAddItem
	libvlc_MediaListViewItemDeleted
	libvlc_MediaListViewWillDeleteItem
	libvlc_MediaListPlayerPlayed = &h400
	libvlc_MediaListPlayerNextItemSet
	libvlc_MediaListPlayerStopped
	libvlc_MediaDiscovererStarted = &h500
	libvlc_MediaDiscovererEnded
	libvlc_VlmMediaAdded = &h600
	libvlc_VlmMediaRemoved
	libvlc_VlmMediaChanged
	libvlc_VlmMediaInstanceStarted
	libvlc_VlmMediaInstanceStopped
	libvlc_VlmMediaInstanceStatusInit
	libvlc_VlmMediaInstanceStatusOpening
	libvlc_VlmMediaInstanceStatusPlaying
	libvlc_VlmMediaInstanceStatusPause
	libvlc_VlmMediaInstanceStatusEnd
	libvlc_VlmMediaInstanceStatusError
End Enum

Enum libvlc_meta_t
	libvlc_meta_Title
	libvlc_meta_Artist
	libvlc_meta_Genre
	libvlc_meta_Copyright
	libvlc_meta_Album
	libvlc_meta_TrackNumber
	libvlc_meta_Description
	libvlc_meta_Rating
	libvlc_meta_Date
	libvlc_meta_Setting
	libvlc_meta_URL
	libvlc_meta_Language
	libvlc_meta_NowPlaying
	libvlc_meta_Publisher
	libvlc_meta_EncodedBy
	libvlc_meta_ArtworkURL
	libvlc_meta_TrackID
End Enum

Type libvlc_media_t As Any

Enum libvlc_state_t
	libvlc_NothingSpecial = 0
	libvlc_Opening
	libvlc_Buffering
	libvlc_Playing
	libvlc_Paused
	libvlc_Stopped
	libvlc_Ended
	libvlc_Error
End Enum

Type media_player_media_changed
	meta_type As libvlc_meta_t
End Type

Type vlm_media_event
	psz_media_name As Any Ptr
	psz_instance_name As Any Ptr
End Type

Type media_player_length_changed
	new_length As libvlc_time_t
End Type

Type media_player_snapshot_taken
	psz_filename As Any Ptr
End Type

Type media_list_player_next_item_set
	item As libvlc_media_t Ptr
End Type

Type media_list_will_delete_item
	item As libvlc_media_t Ptr
	index As Integer
End Type

Type media_list_item_deleted
	item As libvlc_media_t Ptr
	index As Integer
End Type

Type media_list_will_add_item
	item As libvlc_media_t Ptr
	index As Integer
End Type

Type media_list_item_added
	item As libvlc_media_t Ptr
	index As Integer
End Type

Type media_state_changed
	new_state As libvlc_state_t
End Type

Type libvlc_event_t
	type_ As libvlc_event_e
	p_obj As Any Ptr
	Union
		media_player_media_changed As media_player_media_changed
		vlm_media_event As vlm_media_event
		media_player_length_changed As media_player_length_changed
		media_player_snapshot_taken As media_player_snapshot_taken
		media_list_player_next_item_set As media_list_player_next_item_set
		media_list_will_delete_item As media_list_will_delete_item
		media_list_item_deleted As media_list_item_deleted
		media_list_will_add_item As media_list_will_add_item
		media_list_item_added As media_list_item_added
	End Union
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_player_media_changed
	new_media As libvlc_media_t Ptr
End Type

Type libvlc_event_t__NESTED__u__NESTED__vlm_media_event
	psz_media_name As ZString Ptr
	psz_instance_name As ZString Ptr
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_player_length_changed
	new_length As libvlc_time_t
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_player_snapshot_taken
	psz_filename As ZString Ptr
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_list_player_next_item_set
	item As libvlc_media_t Ptr
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_list_will_delete_item
	item As libvlc_media_t Ptr
	index As Integer
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_list_item_deleted
	item As libvlc_media_t Ptr
	index As Integer
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_list_will_add_item
	item As libvlc_media_t Ptr
	index As Integer
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_list_item_added
	item As libvlc_media_t Ptr
	index As Integer
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_player_pausable_changed
	new_pausable As Integer
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_player_seekable_changed
	new_seekable As Integer
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_player_title_changed
	new_title As Integer
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_player_time_changed
	new_time As libvlc_time_t
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_player_position_changed
	new_position As Single
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_state_changed
	new_state As libvlc_state_t
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_freed
	md As libvlc_media_t Ptr
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_parsed_changed
	new_status As Integer
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_duration_changed
	new_duration As int64_t
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_subitem_added
	new_child As libvlc_media_t Ptr
End Type

Type libvlc_event_t__NESTED__u__NESTED__media_meta_changed
	meta_type As libvlc_meta_t
End Type

Union libvlc_event_t__NESTED__u
	media_player_media_changed As libvlc_event_t__NESTED__u__NESTED__media_player_media_changed
	vlm_media_event As libvlc_event_t__NESTED__u__NESTED__vlm_media_event
	media_player_length_changed As libvlc_event_t__NESTED__u__NESTED__media_player_length_changed
	media_player_snapshot_taken As libvlc_event_t__NESTED__u__NESTED__media_player_snapshot_taken
	media_list_player_next_item_set As libvlc_event_t__NESTED__u__NESTED__media_list_player_next_item_set
	media_list_will_delete_item As libvlc_event_t__NESTED__u__NESTED__media_list_will_delete_item
	media_list_item_deleted As libvlc_event_t__NESTED__u__NESTED__media_list_item_deleted
	media_list_will_add_item As libvlc_event_t__NESTED__u__NESTED__media_list_will_add_item
	media_list_item_added As libvlc_event_t__NESTED__u__NESTED__media_list_item_added
	media_player_pausable_changed As libvlc_event_t__NESTED__u__NESTED__media_player_pausable_changed
	media_player_seekable_changed As libvlc_event_t__NESTED__u__NESTED__media_player_seekable_changed
	media_player_title_changed As libvlc_event_t__NESTED__u__NESTED__media_player_title_changed
	media_player_time_changed As libvlc_event_t__NESTED__u__NESTED__media_player_time_changed
	media_player_position_changed As libvlc_event_t__NESTED__u__NESTED__media_player_position_changed
	media_state_changed As libvlc_event_t__NESTED__u__NESTED__media_state_changed
	media_freed As libvlc_event_t__NESTED__u__NESTED__media_freed
	media_parsed_changed As libvlc_event_t__NESTED__u__NESTED__media_parsed_changed
	media_duration_changed As libvlc_event_t__NESTED__u__NESTED__media_duration_changed
	media_subitem_added As libvlc_event_t__NESTED__u__NESTED__media_subitem_added
	media_meta_changed As libvlc_event_t__NESTED__u__NESTED__media_meta_changed
End Union

#EndIf
