''
''
'' libvlc_media -- header translated with help of SWIG FB wrapper
''
'' NOTICE: This file is part of the FreeBASIC Compiler package and can't
''         be included in other distributions without authorization.
''
''
#Ifndef __libvlc_media_bi__
#define __libvlc_media_bi__

#define VLC_LIBVLC_MEDIA_H 1

Type libvlc_media_t As Any

Enum
	libvlc_media_option_trusted = &h2
	libvlc_media_option_unique = &h100
End Enum

Enum libvlc_track_type_t
	libvlc_track_unknown = -1
	libvlc_track_audio = 0
	libvlc_track_video = 1
	libvlc_track_text = 2
End Enum


Type libvlc_media_stats_t
	i_read_bytes As Integer
	f_input_bitrate As Single
	i_demux_read_bytes As Integer
	f_demux_bitrate As Single
	i_demux_corrupted As Integer
	i_demux_discontinuity As Integer
	i_decoded_video As Integer
	i_decoded_audio As Integer
	i_displayed_pictures As Integer
	i_lost_pictures As Integer
	i_played_abuffers As Integer
	i_lost_abuffers As Integer
	i_sent_packets As Integer
	i_sent_bytes As Integer
	f_send_bitrate As Single
End Type

Type libvlc_media_track_info_t__NESTED__u__NESTED__video
	i_height As UInteger
	i_width As UInteger
End Type

Type libvlc_media_track_info_t__NESTED__u__NESTED__audio
	i_channels As UInteger
	i_rate As UInteger
End Type

Union libvlc_media_track_info_t__NESTED__u
	video As libvlc_media_track_info_t__NESTED__u__NESTED__video
	audio As libvlc_media_track_info_t__NESTED__u__NESTED__audio
End Union

Type libvlc_media_track_info_t
	i_codec As uint32_t
	i_id As Integer
	i_type As libvlc_track_type_t
	i_profile As Integer
	i_level As Integer
	u As libvlc_media_track_info_t__NESTED__u
End Type


Type libvlc_audio_track_t
	i_channels As UInteger
	i_rate As UInteger
End Type

Type libvlc_video_track_t
	i_height As UInteger
	i_width As UInteger
	i_sar_num As UInteger
	i_sar_den As UInteger
	i_frame_rate_num As UInteger
	i_frame_rate_den As UInteger
End Type

Type libvlc_subtitle_track_t
	psz_encoding As ZString Ptr
End Type


Type libvlc_media_track_t
	i_codec As uint32_t
	i_original_fourcc As uint32_t
	i_id As Integer
	i_type As libvlc_track_type_t
	i_profile As Integer
	i_level As Integer
	Union
	audio As libvlc_audio_track_t Ptr
	video As libvlc_video_track_t Ptr
	subtitle As libvlc_subtitle_track_t Ptr
	End Union
	i_bitrate As UInteger
	psz_language As ZString Ptr
	psz_description As ZString Ptr
End Type

Type libvlc_media_list_t As Any

Declare Sub libvlc_media_add_option Cdecl Alias "libvlc_media_add_option" (ByVal p_md As libvlc_media_t Ptr, ByVal ppsz_options As ZString Ptr)
Declare Sub libvlc_media_add_option_flag Cdecl Alias "libvlc_media_add_option_flag" (ByVal p_md As libvlc_media_t Ptr, ByVal ppsz_options As ZString Ptr, ByVal i_flags As UInteger)
Declare Sub libvlc_media_retain Cdecl Alias "libvlc_media_retain" (ByVal p_md As libvlc_media_t Ptr)
Declare Sub libvlc_media_release Cdecl Alias "libvlc_media_release" (ByVal p_md As libvlc_media_t Ptr)
Declare Function libvlc_media_get_mrl Cdecl Alias "libvlc_media_get_mrl" (ByVal p_md As libvlc_media_t Ptr) As ZString Ptr
Declare Function libvlc_media_get_meta Cdecl Alias "libvlc_media_get_meta" (ByVal p_md As libvlc_media_t Ptr, ByVal e_meta As libvlc_meta_t) As ZString Ptr
Declare Sub libvlc_media_set_meta Cdecl Alias "libvlc_media_set_meta" (ByVal p_md As libvlc_media_t Ptr, ByVal e_meta As libvlc_meta_t, ByVal psz_value As ZString Ptr)
Declare Function libvlc_media_save_meta Cdecl Alias "libvlc_media_save_meta" (ByVal p_md As libvlc_media_t Ptr) As Integer
Declare Function libvlc_media_get_stats Cdecl Alias "libvlc_media_get_stats" (ByVal p_md As libvlc_media_t Ptr, ByVal p_stats As libvlc_media_stats_t Ptr) As Integer
Declare Function libvlc_media_subitems Cdecl Alias "libvlc_media_subitems" (ByVal p_md As libvlc_media_t Ptr) As libvlc_media_list_t Ptr
Declare Sub libvlc_media_parse Cdecl Alias "libvlc_media_parse" (ByVal media As libvlc_media_t Ptr)
Declare Sub libvlc_media_parse_async Cdecl Alias "libvlc_media_parse_async" (ByVal media As libvlc_media_t Ptr)
Declare Function libvlc_media_is_parsed Cdecl Alias "libvlc_media_is_parsed" (ByVal p_md As libvlc_media_t Ptr) As Integer
Declare Sub libvlc_media_set_user_data Cdecl Alias "libvlc_media_set_user_data" (ByVal p_md As libvlc_media_t Ptr, ByVal p_new_user_data As Any Ptr)
Declare Function libvlc_media_get_user_data Cdecl Alias "libvlc_media_get_user_data" (ByVal p_md As libvlc_media_t Ptr) As Any Ptr
Declare Function libvlc_media_get_tracks_info Cdecl Alias "libvlc_media_get_tracks_info" (ByVal media As libvlc_media_t Ptr, ByVal tracks As libvlc_media_track_info_t Ptr Ptr) As Integer
Declare Function libvlc_media_new_location Cdecl Alias "libvlc_media_new_location" (ByVal p_instance As libvlc_instance_t Ptr, ByVal psz_mrl As ZString Ptr) As libvlc_media_t Ptr
Declare Function libvlc_media_new_path Cdecl Alias "libvlc_media_new_path" (ByVal p_instance As libvlc_instance_t Ptr, ByVal path As ZString Ptr) As libvlc_media_t Ptr
Declare Function libvlc_media_new_as_node Cdecl Alias "libvlc_media_new_as_node" (ByVal p_instance As libvlc_instance_t Ptr, ByVal psz_name As ZString Ptr) As libvlc_media_t Ptr
Declare Function libvlc_media_duplicate Cdecl Alias "libvlc_media_duplicate" (ByVal p_md As libvlc_instance_t Ptr) As libvlc_media_t Ptr
Declare Function libvlc_media_get_state Cdecl Alias "libvlc_media_get_state" (ByVal p_meta_desc As libvlc_media_t Ptr) As libvlc_state_t
Declare Function libvlc_media_event_manager Cdecl Alias "libvlc_media_event_manager" (ByVal p_md As libvlc_media_t Ptr) As libvlc_event_manager_t Ptr
Declare Function libvlc_media_get_duration Cdecl Alias "libvlc_media_get_duration" (ByVal p_md As libvlc_media_t Ptr) As libvlc_time_t
Declare Function libvlc_media_new_fd Cdecl Alias "libvlc_media_new_fd" (p_instance As libvlc_instance_t Ptr, fd As Integer) As libvlc_media_t Ptr
Declare Function libvlc_media_tracks_get Cdecl Alias "libvlc_media_tracks_get" (p_md As libvlc_media_t Ptr, tracks As libvlc_media_track_t Ptr Ptr Ptr) As UInteger
Declare Sub libvlc_media_tracks_release Cdecl Alias "libvlc_media_tracks_release" (p_tracks As libvlc_media_track_t Ptr Ptr, i_count As UInteger)

#EndIf
