/'*****************************************************************************
 * libvlc.h:  libvlc_* new external API structures
 *****************************************************************************
 * Copyright (C) 1998-2008 the VideoLAN team
 * $Id $
 *
 * Authors: Filippo Carone <littlejohn@videolan.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************'/

#Ifndef __libvlc_structures_bi__
#define __libvlc_structures_bi__

#define LIBVLC_STRUCTURES_H 1

'/** This structure is opaque. It represents a libvlc instance */
Type libvlc_instance_t As Any

Type libvlc_time_t As LongInt

'/** This structure is opaque. It represents a libvlc log instance */
Type libvlc_log_t As Any

'/** This structure is opaque. It represents a libvlc log iterator */
Type libvlc_log_iterator_t As Any

Type libvlc_log_message_t
	sizeof_msg As UInteger			'sizeof() of message structure, must be filled in by user
	i_severity As Integer			'0=INFO, 1=ERR, 2=WARN, 3=DBG
	psz_type As ZString Ptr			'module type
	psz_name As ZString Ptr			'module name
	psz_header As ZString Ptr		'optional header
	psz_message As ZString Ptr		'message
End Type

#EndIf
